## Package helma.objectmodel

Interface Summary
IDatabase: Interface that is implemented by Database wrappers
INode: Interface that all Nodes implement.
INodeState: Interface that defines states of nodes
IProperty: Interface that is implemented by node properties.
ITransaction: This interface is kept for databases that are able to run transactions.
ObjectCache: Interface Helma object cache classes need to implement.

Class Summary
NodeEvent: This is passed to NodeListeners when a node is modified.
Property: A property implementation for Nodes stored inside a database.
TransientNode: A transient implementation of INode.

Exception Summary
DatabaseException: Thrown on any kind of Database-Error
ObjectNotFoundException: Thrown when an object could not found in the database where it was expected.

Error Summary
ConcurrencyException: Thrown when more than one thrad tries to modify a Node.

Copyright © 1998-1998-${year} Helma.org. All Rights Reserved.